#### Operator index > By section > Initialisation [src]

These functions handle the initialization, finalization, version retrieval, and relocation for libvips.

libvips is a relocatable package, meaning you can move the directory tree you compiled it to at runtime and it will still be able to find all data files. This is required for macOS and Windows, but slightly unusual in the Unix world. See `vips_init()` and `vips_guess_prefix()`.

## Functions

- `vips_max_coord_get()`
- `vips_init()`
- `vips_get_argv0()`
- `vips_get_prgname()`
- `vips_shutdown()`
- `vips_thread_shutdown()`
- `vips_add_option_entries()`
- `vips_leak_set()`
- `vips_block_untrusted_set()`
- `vips_version_string()`
- `vips_version()`
- `vips_guess_prefix()`
- `vips_guess_libdir()`

## Function macros

- `VIPS_INIT()`

## Constants

- `VIPS_DEFAULT_MAX_COORD`
- `VIPS_ENABLE_DEPRECATED`
- `VIPS_LIBRARY_AGE`
- `VIPS_LIBRARY_CURRENT`
- `VIPS_LIBRARY_REVISION`
- `VIPS_MAJOR_VERSION`
- `VIPS_MICRO_VERSION`
- `VIPS_MINOR_VERSION`
- `VIPS_VERSION`
- `VIPS_VERSION_STRING`